Summary: INN, the InterNet News System (news server)
Name: inn
Version: 1.7.2
Release: 14
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.isc.org/isc/inn/inn-1.7.2.tar.gz
Source1: inn-default-active
Source2: inn-default-distributions
Source3: inn-default-newsgroups
Source4: inn-cron-expire
Source5: inn-cron-rnews
Source6: inn-etc-nnrp.access
Source7: inn-cron-nntpsend
Source8: innd.init
Source9: ftp://ftp.exit109.com/users/jeremy/cleanfeed-latest.tar.gz
Source10: ftp://ftp.hub.org/pub/innfeed/innfeed-0.10.1.6.tar.gz
Source11: ftp://ftp.isc.org/pub/pgpcontrol/pgpverify-1.9
Patch0: http://www.insync.net/~aos/inn-1.7.2.insync-1.1d.diff
Patch1: inn-1.5.1-daily.patch 
Patch2: inn-1.5.1-glibc.patch 
Patch3: inn-1.5.1-InstallDirs.patch 
Patch4: inn-1.5.1-misc.patch 
Patch5: inn-1.5.1-5fixes.patch
Patch6: inn-1.5.1-inncheck.patch
Patch7: inn-1.5.1-rcnews.patch
Patch8: inn-1.5.1-sendbatch.patch
Patch9: inn-1.7.2-config.patch
Patch10: inn-1.7.2-trash-poison.patch
Patch11: inn-1.7.2-actived.patch
Patch12: innfeed-config.patch
Patch13: innfeed-dprintf.patch
Patch14: inn-1.7.2-sfnet.patch
Buildroot: /var/tmp/inn-buildroot
Prereq: /sbin/chkconfig
Requires: cleanfeed
Summary(de): INN, das InterNet News System (News-Server)
Summary(fr): INN, le systme InterNet News (serveur de news)
Summary(tr): InterNet Haber Sistemi (haber sunucu)

%description
INN is a news server, which can be set up to handle USENET news, as well
as private "newsfeeds".  There is a *LOT* of information about setting
up INN in /usr/doc -- read it. 

%package devel
Summary: INN Library
Group: Development/Libraries
Summary(de): INN-Library 
Summary(fr): Bibliothque INN
Summary(tr): INN kitapl

%description devel
This library is needed by several programs that interface to INN, such as
newsgate or tin.

%package -n inews
Summary: Inews program (used for posting by inn and trn)
Group: Networking/News
Summary(de): Inews-Programm (fr die Zustellung mit inn und trn) 
Summary(fr): Programme inews (utilis par inn et trn pour poster)
Summary(tr): Haber biimlendirme program

%description -n inews
The inews program is used by some news readers to post news.
It does some consistency checking and header reformatting,
and forwards the article on to the news server specified in
inn.conf.

%description -l de -n inews
Das Programm 'inews' wird von manchen Newsreadern zum Senden
von Nachrichten verwendet. Es fhrt eine Konsistenzprfung und Header-Neuformatierung aus und leitet die Nachricht an den in 'inn.conf' angegebenen News-Server weiter.


%description -l de devel
Diese Library wird von mehreren Programmen bentigt, die mit INN 
kommunizieren, etwa newsgate oder tin. 

%description -l fr -n inews
Le programme inews est utilis par certains lecteurs de news pour
poster les articles. Il effectue des vrifications et un reformatage
des en-ttes et fait suivre l'article au serveur de news spcifi
dans inn.conf.

%description -l fr devel
Cette bibliothque est ncessaire  plusieurs programmes qui s'interfacent
avec INN, comme newsgate ou tin.

%description -l tr -n inews
inews program baz haber okuyucular tarafndan haber yollamak amacyla
kullanlr.  Program baz gvenlik denetimleri ve balk biimlendirmesi
yaparak ve inn.conf dosyasnda belirtilen haber sunucuya makaleyi yollar.

%description -l tr devel
INN ile arayz gerektiren programlar iin (newsgate, tin gibi) gereken bir
kitaplktr.

%prep
%setup -q
%setup -q -T -D -a 9
%setup -q -T -D -a 10
%patch0 -p1 -b .insync
%patch1 -p1 -b .daily
%patch2 -p1 -b .glibc
%patch3 -p1 -b .dits
%patch4 -p1 -b .misc
%patch5 -p1 -b .fixes
%patch6 -p1 -b .innck
%patch7 -p1 -b .rcnews
%patch8 -p1 -b .sendbatch
%patch9 -p1 -b .config
%patch10 -p0 -b .trash
%patch11 -p1 -b .actived
%patch12 -p1 -b .innfd
%patch13 -p1 -b .dprintf
%patch14 -p1 -b .sfnet

cd innd
patch < ../cleanfeed-0.95.5a/upgrade.patch
cd ..

cp $RPM_SOURCE_DIR/pgpverify-1.9 ./samples/pgpverify

%build
make DO_REMEMBER_TRASH=yes RPM_OPT_FLAGS="$RPM_OPT_FLAGS" world
nroff -ms Install.ms > Install.txt

(cd actived; make)
(cd innfeed; make realclean; make)

%install
rm -fr $RPM_BUILD_ROOT
rm -f README.insync.insync
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib/news
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin
mkdir -p $RPM_BUILD_ROOT/var/spool/news
mkdir -p $RPM_BUILD_ROOT/var/spool/news/innfeed
mkdir -p $RPM_BUILD_ROOT/var/lib
mkdir -p $RPM_BUILD_ROOT/var/lock
mkdir -p $RPM_BUILD_ROOT/var/log/news
mkdir -p $RPM_BUILD_ROOT/var/run/news
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

chown -R news.news $RPM_BUILD_ROOT/usr/lib/news \
        $RPM_BUILD_ROOT/var/spool/news \
        $RPM_BUILD_ROOT/var/log/news $RPM_BUILD_ROOT/var/run/news \
        $RPM_BUILD_ROOT/etc/news
chmod -R 775 $RPM_BUILD_ROOT/usr/lib/news $RPM_BUILD_ROOT/var/spool/news \
        $RPM_BUILD_ROOT/var/log/news $RPM_BUILD_ROOT/var/run/news \
        $RPM_BUILD_ROOT/etc/news

make DESTDIR="$RPM_BUILD_ROOT" install
(cd actived; make DESTDIR="$RPM_BUILD_ROOT" install)

install -m644 libinn.a $RPM_BUILD_ROOT/usr/lib
install -m 0644 include/libinn.h $RPM_BUILD_ROOT/usr/include
install -m 0644 include/inndcomm.h $RPM_BUILD_ROOT/usr/include
install -m 0644 dbz/dbz.h $RPM_BUILD_ROOT/usr/include

install -m 0750 $RPM_SOURCE_DIR/innd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/innd
install -m 0440 -o news -g news samples/nntpsend.ctl $RPM_BUILD_ROOT/etc/news
ln -sf /usr/lib/news/bin/ctlinnd $RPM_BUILD_ROOT/usr/sbin/ctlinnd

# Fail silently on all these 'strips'
strip $RPM_BUILD_ROOT/usr/sbin/* ||:
strip $RPM_BUILD_ROOT/usr/lib/news/bin/* ||:
strip $RPM_BUILD_ROOT/usr/lib/news/bin/rnews/* ||:
strip $RPM_BUILD_ROOT/usr/lib/news/rnews ||:

cp /dev/null $RPM_BUILD_ROOT/var/lib/news/subscriptions
chown news.news $RPM_BUILD_ROOT/var/lib/news/subscriptions
chmod 644 $RPM_BUILD_ROOT/var/lib/news/subscriptions

install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-active \
        $RPM_BUILD_ROOT/var/lib/news/active
install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-distributions \
        $RPM_BUILD_ROOT/var/lib/news/distributions
install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-newsgroups \
        $RPM_BUILD_ROOT/var/lib/news/newsgroups

mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly $RPM_BUILD_ROOT/etc/cron.daily
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-expire \
        $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-expire
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-rnews \
        $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-rnews
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-nntpsend \
        $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-nntpsend

install -m440 -o news -g news $RPM_SOURCE_DIR/inn-etc-nnrp.access \
        $RPM_BUILD_ROOT/etc/news/nnrp.access

cd $RPM_BUILD_ROOT/var/lib/news
rm -f history
touch history
rm -f .news.daily
touch .news.daily
$RPM_BUILD_ROOT/usr/lib/news/bin/makehistory -a $RPM_BUILD_ROOT/var/lib/news/active -i -r -f $RPM_BUILD_ROOT/var/lib/news/history
chown news.news history history.dir history.pag .news.daily .
chmod 775 .
chmod 644 history history.dir history.pag .news.daily

chown root.news $RPM_BUILD_ROOT/usr/sbin/inndstart
chmod 4750 $RPM_BUILD_ROOT/usr/sbin/inndstart
chgrp news $RPM_BUILD_ROOT/usr/lib/news/rnews

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf ../lib/news/rnews $RPM_BUILD_ROOT/usr/bin/rnews
chmod 755 $RPM_BUILD_ROOT/usr/lib/news/rnews

ln -sf ../lib/news/inews $RPM_BUILD_ROOT/usr/bin/inews

umask 002
touch $RPM_BUILD_ROOT/var/log/news/news.notice
touch $RPM_BUILD_ROOT/var/log/news/news.crit
touch $RPM_BUILD_ROOT/var/log/news/news.err
touch $RPM_BUILD_ROOT/var/lib/news/active.times
chown news.news $RPM_BUILD_ROOT/var/lib/news/active.times
chown -R news.news $RPM_BUILD_ROOT/var/log/news

cd ~-
cd innfeed
install -m 0755 -o news -g news convertconfig $RPM_BUILD_ROOT/usr/lib/news/bin/
install -m 0755 -o news -g news innfeed $RPM_BUILD_ROOT/usr/lib/news/bin/
install -m 0755 -o news -g news procbatch $RPM_BUILD_ROOT/usr/lib/news/bin/
install -m 4755 -o root -g news startinnfeed $RPM_BUILD_ROOT/usr/lib/news/bin/
install -m 0644 -o root -g root innfeed.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m 0644 -o root -g root innfeed.conf.5 $RPM_BUILD_ROOT/usr/man/man5/
install -m 0444 -o news -g news innfeed.conf $RPM_BUILD_ROOT/etc/news/

rm $RPM_BUILD_ROOT/usr/lib/news/bin/control/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add innd

umask 002
touch /var/log/news/news.notice
touch /var/log/news/news.crit
touch /var/log/news/news.err
[ -f /var/lib/news/active.times ] || {
    touch /var/lib/news/active.times
    chown news.news /var/lib/news/active.times
}
chown -R news.news /var/log/news*
if [ -f /etc/syslog.conf ]; then
  if ! grep -q INN /etc/syslog.conf; then
    sed 's/mail.none;/mail.none;news.none;/' < /etc/syslog.conf > /etc/syslog.conf.inn
    mv /etc/syslog.conf.inn /etc/syslog.conf

    echo '' \
       >> /etc/syslog.conf
    echo '#' \
       >> /etc/syslog.conf
    echo '# INN' \
       >> /etc/syslog.conf
    echo '#' \
       >> /etc/syslog.conf
    echo 'news.=crit                                        /var/log/news/news.crit'   >> /etc/syslog.conf
    echo 'news.=err                                         /var/log/news/news.err'    >> /etc/syslog.conf
    echo 'news.notice                                       /var/log/news/news.notice' >> /etc/syslog.conf
    fi
  if [ -f /var/run/syslog.pid ]; then
    kill -HUP `cat /var/run/syslog.pid` 2> /dev/null ||:
  fi
else
  # syslog.conf does not exist

  echo "mail.none /var/log/messages" \
     >  /etc/syslog.conf.inn
  echo "" \
     >> /etc/syslog.conf.inn
  echo "# INN" \
     >> /etc/syslog.conf.inn
  echo "news.=crit                                      /var/log/news/news.crit"     >> /etc/syslog.conf.inn
  echo "news.=err                                       /var/log/news/news.err"      >> /etc/syslog.conf.inn
  echo "news.notice                                     /var/log/news/news.notice"   >> /etc/syslog.conf.inn
fi
if [ `cat /etc/news/inn.conf | grep '^server:' | wc -l` -lt 1 ]; then
  echo "server: `hostname -f`" >> /etc/news/inn.conf
fi

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del innd
fi

%files
/usr/lib/news/rnews

/usr/sbin/*
/usr/bin/rnews

%dir /usr/lib/news
/usr/lib/news/bin

%config /usr/lib/news/parsecontrol
%config /usr/lib/news/innshellvars
%config /usr/lib/news/innshellvars.csh
%config /usr/lib/news/innshellvars.pl
%config /usr/lib/news/innshellvars.tcl

%dir /etc/news

%config /etc/cron.daily/inn-cron-expire
%config /etc/cron.daily/inn-cron-rnews
%config /etc/cron.hourly/inn-cron-nntpsend
%config /etc/news/control.ctl
%config /etc/news/distrib.pats
%config /etc/news/nnrp.access
%config /etc/news/expire.ctl
%config /etc/news/hosts.nntp
%config /etc/news/hosts.nntp.nolimit
%config /etc/news/inn.conf
%config /etc/news/innfeed.conf
%config /etc/news/innwatch.ctl
%config /etc/news/moderators
%config /etc/news/passwd.nntp
%config /etc/news/newsfeeds
%config /etc/news/overview.fmt
%config /etc/news/actsync.cfg
%config /etc/news/actsync.ign
%config /etc/news/nntpsend.ctl
%config /etc/rc.d/rc.news
%config /etc/rc.d/init.d/innd


%dir /var/lib/news

%config /var/lib/news/.news.daily
%config /var/lib/news/history
%config /var/lib/news/history.dir
%config /var/lib/news/history.pag
%config /var/lib/news/active
%config /var/lib/news/distributions
%config /var/lib/news/newsgroups
%config /var/lib/news/subscriptions
%config /var/lib/news/innlog.pl
%config /var/lib/news/send-ihave
%config /var/lib/news/send-nntp
%config /var/lib/news/send-uucp

%dir /var/lib/news/innd

%dir /var/run/news
%dir /var/lock/news

%dir /var/spool/news
%dir /var/spool/news/innfeed
%dir /var/spool/news/in.coming
%dir /var/spool/news/in.coming/bad
%dir /var/spool/news/in.coming/tmp
%dir /var/spool/news/out.going
%dir /var/spool/news/news.archive
%dir /var/spool/news/over.view

%dir /var/log/news
%dir /var/log/news/OLD

%doc FAQ samples
%doc README* CHANGES CONTRIBUTORS COPYRIGHT HISTORY
%doc Install.ms Install.txt

/usr/man/man1/convdate.1
/usr/man/man1/getlist.1
/usr/man/man1/grephistory.1
/usr/man/man1/innconfval.1
/usr/man/man1/installit.1
/usr/man/man1/nntpget.1
/usr/man/man1/rnews.1
/usr/man/man1/shlock.1
/usr/man/man1/shrinkfile.1
/usr/man/man1/subst.1
/usr/man/man5/*
/usr/man/man8/*

%ghost /var/log/news/news.notice
%ghost /var/log/news/news.crit
%ghost /var/log/news/news.err
%ghost /var/lib/news/active.times

%files devel
/usr/lib/libinn.a
/usr/include/libinn.h
/usr/include/dbz.h
/usr/include/inndcomm.h
/usr/man/man3/*

%files -n inews
/usr/lib/news/inews
/usr/bin/inews
/usr/man/man1/inews.1

%changelog
* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- innd.init chkconfig entry was incorrect (problem #855)

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- susbsys name must be identical to script name (problem #700)

* Mon Jun 29 1998 Bryan C. Andregg <bandregg@redhat.com>
- fixed startinnfeed paths

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed innfeed patched to be perl-version independent

* Wed Apr 15 1998 Bryan C. Andregg <bandregg@redhat.com>
- fixed sfnet.* entries in control.ctl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- moved cleanfeed to its own package

* Thu Apr 09 1998 Bryan C. Andregg <bandregg@redhat.com>
- added insync patches
- added cleanfeed
- added innfeed

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- abuse buildroot to simplify the file list
- built against Manhattan

* Tue Mar 24 1998 Bryan C. Andregg <bandregg@redhat.com>
- updated to inn 1.7.2
- Added REMEMBER_TRASH and Poison patch

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to inn 1.7
- added chkconfig support to the initscripts
- orginally released as release 2, leving release 1 if a 4.2.x upgrade
  is ever necessary 
- don't start it in any runlevel (by default)
- added inndcomm.h

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Aug 05 1997 Elliot Lee <sopwith@redhat.com>
- Applied the 1.5.1sec and 1.5.1sec2 patches
- Applied 3 more unoff patches.
- Removed insanity in /etc/cron.hourly/inn-cron-nntpsend, it now
  just runs nntpsend as news.

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>
- Patch from CERT for sh exploit.
- Changed /usr/ucb/compress reference to /usr/bin/compress

* Mon Mar 17 1997 Erik Troan <ewt@redhat.com>
- Removed inews.1 from main inn package (it's still in the inews packaeg)
- Fixed references to /usr/spoo in sendbatch
- added "-s -" to crosspost line in newsfeeds
- /var/lib/news/active.time is now created as news.news
- /etc/news/nnrp.access and /etc/news/nntpsend.ctl are mode 0440 
- included a better rc script which does a better job of shutting down news
- updated /etc/rc.d/rc.news output look like the rest of our initscripts
- hacked sendbatch df stuff to work on machines w/o a separate /var/spool/news

* Tue Mar 11 1997 Erik Troan <ewt@redhat.com>
- added chmod to make sure rnews is 755
- /etc/news/nnrp.access and /etc/news/nntpsend.ctl are news.news not root.news
  or root.root
- install an empty /var/lib/news/.news.daily as a config file
- added dbz/dbz.h as /usr/include/dbz.h
- added /usr/bin/inews link to /usr/lib/news/inews
- changed INEWS_PATH to DONT -- I'm not sure this is right though
- turned off MMAP_SYNC
- added a ton of man pages which were missing from the filelist
- increased CLIENT_TIMEOUT to (30 * 60)
- added a postinstall to create /var/lib/news/active.times if it doesn't
  already exist
- patched rc.news to start inn w/ -L flag
- pulled news.init into a separate source file rather then creating it through
  a patch
- added /etc/rc.d/rc5.d/S95news to the file list
- remove pid files from /var/lock/news/* on shutdown
- use /var/lock/subsys/news rather then /var/lock/subsys/inn or things
  don't shutdown properly

* Mon Mar 10 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- changed devel package description to include tin.
- the devel package missed libinn.h
- moved libinn.3 man-page to the devel package
- moved changelog up
- in %post some echo statements were messed up. if we put the redirection
  staements in a different line than the echo command we really should use
  a backslash to thell the shell :-)
- in %install a chmod line referenced the same directory twice.
- changed inn-1.5.1-redhat.patch: The patch for news.daily had a side effect.
  as EXPIREOVERFLAGS was set to '-a', expireover would break if there were
  articles to be removed, as '-a' can't be used if '-z' is specified...
  Now there is a separate 'eval expireover -a' after the first eval. Dirty
  but works.

* Wed Feb 26 1997 Erik Troan <ewt@redhat.com>
- Added a /usr/bin/rnews symlink to /usr/lib/news/rnews as other programs like
  to use it.

* Tue Feb 25 1997 Elliot Lee <sopwith@cuc.edu>
- Fixed rnews path in /etc/cron.daily/inn-cron-rnews
- Added overview! and crosspost lines to /etc/news/newsfeeds
- Fixed nntpsend.ctl path in /usr/lib/news/bin/nntpsend, and set a saner
  nntpsend.ctl config file.
- Added automated inn.conf 'server: ' line creation in %post
- Added misc. patches from ftp.isc.org/isc/inn/unoff-patches/1.5
- Removed -lelf from config.data LIBS
- Made RPM_OPT_FLAGS work.
- Bug in rpm meant that putting %post after %files made it not run. Moved
  %post up.
- Added /etc/cron.hourly/inn-cron-nntpsend to send news every hour.
- Fixed most of the misc permissions/ownership stuff that inncheck
  complained about.

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Incorporated changes from <drdisk@tilx01.ti.fht-esslingen.de> which fixed
  some paths and restored the cron jobs which disappeared in the 1.5.1
  switch. He also made the whole thing use a buildroot and added some files
  which were missing from the file list.
